URLStreamHandlerSetter
Date: 2016-06-24

org.osgi.service.url

## Interface URLStreamHandlerSetter

-     @ConsumerType
      public interface URLStreamHandlerSetter

  Interface used by `URLStreamHandlerService` objects to call the `setURL` method on the proxy `URLStreamHandler` object.

  Objects of this type are passed to the `URLStreamHandlerService.parseURL(URLStreamHandlerSetter, URL, String, int, int)` method. Invoking the `setURL` method on the `URLStreamHandlerSetter` object will invoke the `setURL` method on the proxy `URLStreamHandler` object that is actually registered with `java.net.URL` for the protocol.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setURL(java.net.URL u, java.lang.String protocol, java.lang.String host, int port, java.lang.String file, java.lang.String ref)` Deprecated. This method is only for compatibility with handlers written for JDK 1.1.
    `void` | `setURL(java.net.URL u, java.lang.String protocol, java.lang.String host, int port, java.lang.String authority, java.lang.String userInfo, java.lang.String path, java.lang.String query, java.lang.String ref)`

- - ### Method Detail

    - #### setURL

          void setURL(java.net.URL u,
                    java.lang.String protocol,
                    java.lang.String host,
                    int port,
                    java.lang.String file,
                    java.lang.String ref)

      Deprecated. This method is only for compatibility with handlers written for JDK 1.1.
      See Also:
        "java.net.URLStreamHandler.setURL(URL,String,String,int,String,String)"

    - #### setURL

          void setURL(java.net.URL u,
                    java.lang.String protocol,
                    java.lang.String host,
                    int port,
                    java.lang.String authority,
                    java.lang.String userInfo,
                    java.lang.String path,
                    java.lang.String query,
                    java.lang.String ref)

      See Also:
        "java.net.URLStreamHandler.setURL(URL,String,String,int,String,String,String,String)"